> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger AI Analysis

> Programmatically trigger various AI Analysis endpoints for a specific conversation in a agent. Ensure your account has sufficient credits to use this feature.



## OpenAPI

````yaml post /agents/{agentId}/conversations/{conversationId}/{endpoint}
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /agents/{agentId}/conversations/{conversationId}/{endpoint}:
    post:
      tags:
        - AI Analysis
      summary: Trigger AI Analysis
      description: >-
        Programmatically trigger various AI Analysis endpoints for a specific
        conversation in a agent. Ensure your account has sufficient credits to
        use this feature.
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: agentId
          in: path
          required: true
          description: The ID of the agent
          schema:
            type: string
        - name: conversationId
          in: path
          required: true
          description: The ID of the conversation
          schema:
            type: string
        - name: endpoint
          in: path
          required: true
          description: The AI Analysis endpoint to trigger
          schema:
            type: string
            enum:
              - autoTag
              - summarize
              - evaluate
              - misunderstoodQuery
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                oneOf:
                  - title: Auto Tag
                    type: object
                    properties:
                      assignedTopic:
                        type: string
                  - title: Summary
                    type: object
                    properties:
                      summary:
                        type: string
                  - title: Evaluation
                    type: object
                    properties:
                      evaluation:
                        type: object
                        properties:
                          isSuccess:
                            type: boolean
                          reason:
                            type: string
                  - title: Misunderstood Query
                    type: object
                    properties:
                      misunderstoodQuery:
                        type: array
                        items:
                          type: object
                          properties:
                            question:
                              type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred

````